Bug 1278412 - image_service is not defined
image_service is not defined
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
6.0 (Juno)
All All
high Severity high
: ---
: 6.0 (Juno)
Assigned To: Sahid Ferdjaoui
nlevinki
: Reopened, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-05 07:20 EST by Sahid Ferdjaoui
Modified: 2016-03-02 19:04 EST (History)
13 users (show)

See Also:
Fixed In Version: 2014.2.3-36
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-02 19:04:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sferdjao: internal‑review? (pbrady)


Attachments (Terms of Use)

  None (edit)
Description Sahid Ferdjaoui 2015-11-05 07:20:15 EST
In driver libvirt a call from image_service is initiated but that variable is not defined which result an exception in all cases.

https://code.engineering.redhat.com/gerrit/gitweb?p=nova.git;a=blob;f=nova/virt/libvirt/driver.py;h=50e170f5fbae03fdd86718369d2d14f9c986da96;hb=refs/heads/rhos-5.0-rhel-patches#l1640
Comment 2 Pádraig Brady 2015-11-11 07:24:24 EST
patches branch rebased to include this obvious fix

Note You need to log in before you can comment on or make changes to this bug.